package com.peetz.library.dal;

import java.util.Collection;

import javax.ejb.Local;

import com.peetz.library.entity.ShelfObjectEntity;

@Local
public interface ShelfObjectDao {
	public ShelfObjectEntity getById(Long id);
	public Collection<ShelfObjectEntity> getByIds(Collection<Long> ids);
	public ShelfObjectEntity store(ShelfObjectEntity entity);
	public void delete(ShelfObjectEntity entity);
}
